Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » Problems with TPTP 4.0 installation in Eclipse 3.1
Problems with TPTP 4.0 installation in Eclipse 3.1 [message #22510] Mon, 18 July 2005 18:21 Go to next message
Troy Poppe is currently offline Troy PoppeFriend
Messages: 9
Registered: July 2009
Junior Member
I've just gone through the installation process as documented in the 4.0
release, version 200507141319, and I'm having difficulties with what would
seem to be a very simple use case of profiling an existing application
launch via Eclipse. The application to be profiled is local, and this
doesn't seem to matter since the errors seem to be problems with UI elements
and associated resources not being found.

I start my profiled application, and when I terminate the application I get
an error indicating that there are errors in the log. I've attached the log
output from the start of eclipse, through the error.

Any help would be greatly appreciated!

Troy Poppe



Re: Problems with TPTP 4.0 installation in Eclipse 3.1 [message #22735 is a reply to message #22510] Tue, 19 July 2005 19:00 Go to previous messageGo to next message
Troy Poppe is currently offline Troy PoppeFriend
Messages: 9
Registered: July 2009
Junior Member
I've just installed 200507181519, and I still have similar problems...

It seems that the root error is:

!ENTRY org.eclipse.osgi 2005-07-19 14:57:04.330
!MESSAGE An error occurred while automatically activating bundle
org.eclipse.hyades.statistical.ui (754).
!STACK 0
org.osgi.framework.BundleException: The activator
org.eclipse.hyades.statistical.ui.UiPlugin for bundle
org.eclipse.hyades.statistical.ui is invalid
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:151)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:965)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:321)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:266)
at
org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLoca lClass(EclipseClassLoader.java:116)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findLo calClass(BundleLoader.java:337)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:389)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:350)
at
org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader. loadClass(AbstractClassLoader.java:78)
at java.lang.ClassLoader.loadClass(Unknown Source)
at
org.eclipse.osgi.framework.internal.core.BundleLoader.loadCl ass(BundleLoader.java:275)
at
org.eclipse.osgi.framework.internal.core.BundleHost.loadClas s(BundleHost.java:227)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.load Class(AbstractBundle.java:1259)
at
org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:152)
at
org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:142)
at
org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:129)
at
org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 48)
at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugi n.java:240)
at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator .java:51)
at
org.eclipse.ui.internal.WorkbenchPlugin.createExtension(Work benchPlugin.java:236)
at
org.eclipse.ui.internal.EarlyStartupRunnable.getExecutableEx tension(EarlyStartupRunnable.java:115)
at
org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartu pRunnable.java:66)
at
org.eclipse.core.internal.runtime.InternalPlatform.run(Inter nalPlatform.java:1044)
at org.eclipse.core.runtime.Platform.run(Platform.java:783)
at org.eclipse.ui.internal.Workbench$20.run(Workbench.java:1587 )
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)
Caused by: java.lang.NoSuchMethodError:
org.eclipse.hyades.models.hierarchy.extensions.impl.Extensio nsPackageImpl.freeze()V
at
org.eclipse.hyades.models.hierarchy.extensions.impl.Extensio nsPackageImpl.init(ExtensionsPackageImpl.java:271)
at
org.eclipse.hyades.models.hierarchy.extensions.ExtensionsPac kage. <clinit>(ExtensionsPackage.java:74)
at
org.eclipse.hyades.models.hierarchy.impl.HierarchyPackageImp l.init(HierarchyPackageImpl.java:298)
at
org.eclipse.hyades.models.hierarchy.HierarchyPackage.<clinit >(HierarchyPackage.java:75)
at sun.misc.Unsafe.ensureClassInitialized(Native Method)
at sun.reflect.UnsafeFieldAccessorFactory.newFieldAccessor(Unkn own Source)
at sun.reflect.ReflectionFactory.newFieldAccessor(Unknown Source)
at java.lang.reflect.Field.acquireFieldAccessor(Unknown Source)
at java.lang.reflect.Field.getFieldAccessor(Unknown Source)
at java.lang.reflect.Field.get(Unknown Source)
at
org.eclipse.emf.ecore.plugin.RegistryReader$EPackageDescript or.getEPackage(RegistryReader.java:167)
at
org.eclipse.emf.ecore.impl.EPackageRegistryImpl.getEPackage( EPackageRegistryImpl.java:91)
at
org.eclipse.hyades.models.hierarchy.impl.HierarchyPackageImp l.init(HierarchyPackageImpl.java:290)
at
org.eclipse.hyades.model.statistical.impl.StatisticalPackage Impl.init(StatisticalPackageImpl.java:222)
at org.eclipse.hyades.statistical.ui.UiPlugin.<init>(UiPlugin.java:97)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Nativ e Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknow n Source)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Un known
Source)
at java.lang.reflect.Constructor.newInstance(Unknown Source)
at java.lang.Class.newInstance0(Unknown Source)
at java.lang.Class.newInstance(Unknown Source)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:146)
... 25 more


I cannot find any reference to why this would be occuring... Can anyone
confirm that this is a known bug?

Thanks.

Troy Poppe

"Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
news:dbgrva$b7s$1@news.eclipse.org...
> I've just gone through the installation process as documented in the 4.0
> release, version 200507141319, and I'm having difficulties with what would
> seem to be a very simple use case of profiling an existing application
> launch via Eclipse. The application to be profiled is local, and this
> doesn't seem to matter since the errors seem to be problems with UI
> elements and associated resources not being found.
>
> I start my profiled application, and when I terminate the application I
> get an error indicating that there are errors in the log. I've attached
> the log output from the start of eclipse, through the error.
>
> Any help would be greatly appreciated!
>
> Troy Poppe
>
>
Re: Problems with TPTP 4.0 installation in Eclipse 3.1 [message #22777 is a reply to message #22735] Tue, 19 July 2005 19:55 Go to previous messageGo to next message
Troy Poppe is currently offline Troy PoppeFriend
Messages: 9
Registered: July 2009
Junior Member
I made a fresh copy of Eclipse 3.1, without MyEclipse 4.0M2 installed, and
discovered that the errors I was having before no longer appeared.

Then I began looking at overlapping plugins that might be causing conflict
(nothing in the log indicated that there was a problem)... It looks like
the problem stems from MyEclipse installing a version of the EMF SDO and XSD
that, while comparable in version number, was not comparable to the SDK
links provided in the Installation Guide. As a result, it appears that the
MyEclipse plugin was being loaded, and causing the problem. By removing the
following plugins from MyEclipse's plugin directory, I was able to get TPTP
to work (a bit).

org.eclipse.emf.codegen.ecore_2.1.0
org.eclipse.emf.codegen_2.1.0
org.eclipse.emf.common.ui_2.0.1
org.eclipse.emf.common_2.1.0
org.eclipse.emf.ecore.xmi_2.1.0
org.eclipse.emf.ecore_2.1.0
org.eclipse.emf.edit.ui_2.1.0
org.eclipse.emf.edit_2.1.0
org.eclipse.xsd.edit_2.0.1
org.eclipse.xsd_2.1.0

Troy

"Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
news:dbjij9$g0g$1@news.eclipse.org...
>
> I've just installed 200507181519, and I still have similar problems...
>
> It seems that the root error is:
>
> !ENTRY org.eclipse.osgi 2005-07-19 14:57:04.330
> !MESSAGE An error occurred while automatically activating bundle
> org.eclipse.hyades.statistical.ui (754).
> !STACK 0
> org.osgi.framework.BundleException: The activator
> org.eclipse.hyades.statistical.ui.UiPlugin for bundle
> org.eclipse.hyades.statistical.ui is invalid
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:151)
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:965)
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:321)
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:266)
> at
> org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLoca lClass(EclipseClassLoader.java:116)
> at
> org.eclipse.osgi.framework.internal.core.BundleLoader.findLo calClass(BundleLoader.java:337)
> at
> org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:389)
> at
> org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:350)
> at
> org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader. loadClass(AbstractClassLoader.java:78)
> at java.lang.ClassLoader.loadClass(Unknown Source)
> at
> org.eclipse.osgi.framework.internal.core.BundleLoader.loadCl ass(BundleLoader.java:275)
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.loadClas s(BundleHost.java:227)
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.load Class(AbstractBundle.java:1259)
> at
> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:152)
> at
> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:142)
> at
> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:129)
> at
> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 48)
> at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugi n.java:240)
> at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator .java:51)
> at
> org.eclipse.ui.internal.WorkbenchPlugin.createExtension(Work benchPlugin.java:236)
> at
> org.eclipse.ui.internal.EarlyStartupRunnable.getExecutableEx tension(EarlyStartupRunnable.java:115)
> at
> org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartu pRunnable.java:66)
> at
> org.eclipse.core.internal.runtime.InternalPlatform.run(Inter nalPlatform.java:1044)
> at org.eclipse.core.runtime.Platform.run(Platform.java:783)
> at org.eclipse.ui.internal.Workbench$20.run(Workbench.java:1587 )
> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)
> Caused by: java.lang.NoSuchMethodError:
> org.eclipse.hyades.models.hierarchy.extensions.impl.Extensio nsPackageImpl.freeze()V
> at
> org.eclipse.hyades.models.hierarchy.extensions.impl.Extensio nsPackageImpl.init(ExtensionsPackageImpl.java:271)
> at
> org.eclipse.hyades.models.hierarchy.extensions.ExtensionsPac kage. <clinit>(ExtensionsPackage.java:74)
> at
> org.eclipse.hyades.models.hierarchy.impl.HierarchyPackageImp l.init(HierarchyPackageImpl.java:298)
> at
> org.eclipse.hyades.models.hierarchy.HierarchyPackage.<clinit >(HierarchyPackage.java:75)
> at sun.misc.Unsafe.ensureClassInitialized(Native Method)
> at sun.reflect.UnsafeFieldAccessorFactory.newFieldAccessor(Unkn own Source)
> at sun.reflect.ReflectionFactory.newFieldAccessor(Unknown Source)
> at java.lang.reflect.Field.acquireFieldAccessor(Unknown Source)
> at java.lang.reflect.Field.getFieldAccessor(Unknown Source)
> at java.lang.reflect.Field.get(Unknown Source)
> at
> org.eclipse.emf.ecore.plugin.RegistryReader$EPackageDescript or.getEPackage(RegistryReader.java:167)
> at
> org.eclipse.emf.ecore.impl.EPackageRegistryImpl.getEPackage( EPackageRegistryImpl.java:91)
> at
> org.eclipse.hyades.models.hierarchy.impl.HierarchyPackageImp l.init(HierarchyPackageImpl.java:290)
> at
> org.eclipse.hyades.model.statistical.impl.StatisticalPackage Impl.init(StatisticalPackageImpl.java:222)
> at org.eclipse.hyades.statistical.ui.UiPlugin.<init>(UiPlugin.java:97)
> at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Nativ e Method)
> at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknow n Source)
> at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Un known
> Source)
> at java.lang.reflect.Constructor.newInstance(Unknown Source)
> at java.lang.Class.newInstance0(Unknown Source)
> at java.lang.Class.newInstance(Unknown Source)
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:146)
> ... 25 more
>
>
> I cannot find any reference to why this would be occuring... Can anyone
> confirm that this is a known bug?
>
> Thanks.
>
> Troy Poppe
>
> "Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
> news:dbgrva$b7s$1@news.eclipse.org...
>> I've just gone through the installation process as documented in the 4.0
>> release, version 200507141319, and I'm having difficulties with what
>> would seem to be a very simple use case of profiling an existing
>> application launch via Eclipse. The application to be profiled is local,
>> and this doesn't seem to matter since the errors seem to be problems with
>> UI elements and associated resources not being found.
>>
>> I start my profiled application, and when I terminate the application I
>> get an error indicating that there are errors in the log. I've attached
>> the log output from the start of eclipse, through the error.
>>
>> Any help would be greatly appreciated!
>>
>> Troy Poppe
>>
>>
>
>
Re: Problems with TPTP 4.0 installation in Eclipse 3.1 [message #22865 is a reply to message #22777] Tue, 19 July 2005 20:35 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: p.beauvoir.bolton.ac.uk

This is something I fear about the Eclipse Plugin architecture - Plugin A
depends on Plugin B version 1.1, but Plugin C depends on Plugin B version
1.2. Will version 1.2 always be loaded over and above version 1.1? Is
there any way to avoid this?

PB


"Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
news:dbjlr9$jvk$1@news.eclipse.org...
>
> I made a fresh copy of Eclipse 3.1, without MyEclipse 4.0M2 installed, and
> discovered that the errors I was having before no longer appeared.
>
> Then I began looking at overlapping plugins that might be causing conflict
> (nothing in the log indicated that there was a problem)... It looks like
> the problem stems from MyEclipse installing a version of the EMF SDO and
> XSD that, while comparable in version number, was not comparable to the
> SDK links provided in the Installation Guide. As a result, it appears
> that the MyEclipse plugin was being loaded, and causing the problem. By
> removing the following plugins from MyEclipse's plugin directory, I was
> able to get TPTP to work (a bit).
>
> org.eclipse.emf.codegen.ecore_2.1.0
> org.eclipse.emf.codegen_2.1.0
> org.eclipse.emf.common.ui_2.0.1
> org.eclipse.emf.common_2.1.0
> org.eclipse.emf.ecore.xmi_2.1.0
> org.eclipse.emf.ecore_2.1.0
> org.eclipse.emf.edit.ui_2.1.0
> org.eclipse.emf.edit_2.1.0
> org.eclipse.xsd.edit_2.0.1
> org.eclipse.xsd_2.1.0
>
> Troy
>
> "Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
> news:dbjij9$g0g$1@news.eclipse.org...
>>
>> I've just installed 200507181519, and I still have similar problems...
>>
>> It seems that the root error is:
>>
>> !ENTRY org.eclipse.osgi 2005-07-19 14:57:04.330
>> !MESSAGE An error occurred while automatically activating bundle
>> org.eclipse.hyades.statistical.ui (754).
>> !STACK 0
>> org.osgi.framework.BundleException: The activator
>> org.eclipse.hyades.statistical.ui.UiPlugin for bundle
>> org.eclipse.hyades.statistical.ui is invalid
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:151)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:965)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:321)
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:266)
>> at
>> org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLoca lClass(EclipseClassLoader.java:116)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleLoader.findLo calClass(BundleLoader.java:337)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:389)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:350)
>> at
>> org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader. loadClass(AbstractClassLoader.java:78)
>> at java.lang.ClassLoader.loadClass(Unknown Source)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleLoader.loadCl ass(BundleLoader.java:275)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleHost.loadClas s(BundleHost.java:227)
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.load Class(AbstractBundle.java:1259)
>> at
>> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:152)
>> at
>> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:142)
>> at
>> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:129)
>> at
>> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 48)
>> at
>> org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugi n.java:240)
>> at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator .java:51)
>> at
>> org.eclipse.ui.internal.WorkbenchPlugin.createExtension(Work benchPlugin.java:236)
>> at
>> org.eclipse.ui.internal.EarlyStartupRunnable.getExecutableEx tension(EarlyStartupRunnable.java:115)
>> at
>> org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartu pRunnable.java:66)
>> at
>> org.eclipse.core.internal.runtime.InternalPlatform.run(Inter nalPlatform.java:1044)
>> at org.eclipse.core.runtime.Platform.run(Platform.java:783)
>> at org.eclipse.ui.internal.Workbench$20.run(Workbench.java:1587 )
>> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)
>> Caused by: java.lang.NoSuchMethodError:
>> org.eclipse.hyades.models.hierarchy.extensions.impl.Extensio nsPackageImpl.freeze()V
>> at
>> org.eclipse.hyades.models.hierarchy.extensions.impl.Extensio nsPackageImpl.init(ExtensionsPackageImpl.java:271)
>> at
>> org.eclipse.hyades.models.hierarchy.extensions.ExtensionsPac kage. <clinit>(ExtensionsPackage.java:74)
>> at
>> org.eclipse.hyades.models.hierarchy.impl.HierarchyPackageImp l.init(HierarchyPackageImpl.java:298)
>> at
>> org.eclipse.hyades.models.hierarchy.HierarchyPackage.<clinit >(HierarchyPackage.java:75)
>> at sun.misc.Unsafe.ensureClassInitialized(Native Method)
>> at sun.reflect.UnsafeFieldAccessorFactory.newFieldAccessor(Unkn own
>> Source)
>> at sun.reflect.ReflectionFactory.newFieldAccessor(Unknown Source)
>> at java.lang.reflect.Field.acquireFieldAccessor(Unknown Source)
>> at java.lang.reflect.Field.getFieldAccessor(Unknown Source)
>> at java.lang.reflect.Field.get(Unknown Source)
>> at
>> org.eclipse.emf.ecore.plugin.RegistryReader$EPackageDescript or.getEPackage(RegistryReader.java:167)
>> at
>> org.eclipse.emf.ecore.impl.EPackageRegistryImpl.getEPackage( EPackageRegistryImpl.java:91)
>> at
>> org.eclipse.hyades.models.hierarchy.impl.HierarchyPackageImp l.init(HierarchyPackageImpl.java:290)
>> at
>> org.eclipse.hyades.model.statistical.impl.StatisticalPackage Impl.init(StatisticalPackageImpl.java:222)
>> at org.eclipse.hyades.statistical.ui.UiPlugin.<init>(UiPlugin.java:97)
>> at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Nativ e Method)
>> at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknow n Source)
>> at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Un known
>> Source)
>> at java.lang.reflect.Constructor.newInstance(Unknown Source)
>> at java.lang.Class.newInstance0(Unknown Source)
>> at java.lang.Class.newInstance(Unknown Source)
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:146)
>> ... 25 more
>>
>>
>> I cannot find any reference to why this would be occuring... Can anyone
>> confirm that this is a known bug?
>>
>> Thanks.
>>
>> Troy Poppe
>>
>> "Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
>> news:dbgrva$b7s$1@news.eclipse.org...
>>> I've just gone through the installation process as documented in the 4.0
>>> release, version 200507141319, and I'm having difficulties with what
>>> would seem to be a very simple use case of profiling an existing
>>> application launch via Eclipse. The application to be profiled is
>>> local, and this doesn't seem to matter since the errors seem to be
>>> problems with UI elements and associated resources not being found.
>>>
>>> I start my profiled application, and when I terminate the application I
>>> get an error indicating that there are errors in the log. I've attached
>>> the log output from the start of eclipse, through the error.
>>>
>>> Any help would be greatly appreciated!
>>>
>>> Troy Poppe
>>>
>>>
>>
>>
>
>
Re: Problems with TPTP 4.0 installation in Eclipse 3.1 [message #22909 is a reply to message #22777] Tue, 19 July 2005 23:15 Go to previous message
Eclipse UserFriend
Originally posted by: tvalence1.cox.net

Troy,

Thanks for the tip.

I also had a similar problem with overlapping plug-ins from the same version
of MyEclipse noted below.

Removal of the overlapping plug-ins from the MyEclipse install appears to
have resolved my issue with accessing the Logging perspective from a test
workbench session.

- Ted

"Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
news:dbjlr9$jvk$1@news.eclipse.org...
>
> I made a fresh copy of Eclipse 3.1, without MyEclipse 4.0M2 installed, and
> discovered that the errors I was having before no longer appeared.
>
> Then I began looking at overlapping plugins that might be causing conflict
> (nothing in the log indicated that there was a problem)... It looks like
> the problem stems from MyEclipse installing a version of the EMF SDO and
> XSD that, while comparable in version number, was not comparable to the
> SDK links provided in the Installation Guide. As a result, it appears
> that the MyEclipse plugin was being loaded, and causing the problem. By
> removing the following plugins from MyEclipse's plugin directory, I was
> able to get TPTP to work (a bit).
>
> org.eclipse.emf.codegen.ecore_2.1.0
> org.eclipse.emf.codegen_2.1.0
> org.eclipse.emf.common.ui_2.0.1
> org.eclipse.emf.common_2.1.0
> org.eclipse.emf.ecore.xmi_2.1.0
> org.eclipse.emf.ecore_2.1.0
> org.eclipse.emf.edit.ui_2.1.0
> org.eclipse.emf.edit_2.1.0
> org.eclipse.xsd.edit_2.0.1
> org.eclipse.xsd_2.1.0
>
> Troy
>
> "Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
> news:dbjij9$g0g$1@news.eclipse.org...
>>
>> I've just installed 200507181519, and I still have similar problems...
>>
>> It seems that the root error is:
>>
>> !ENTRY org.eclipse.osgi 2005-07-19 14:57:04.330
>> !MESSAGE An error occurred while automatically activating bundle
>> org.eclipse.hyades.statistical.ui (754).
>> !STACK 0
>> org.osgi.framework.BundleException: The activator
>> org.eclipse.hyades.statistical.ui.UiPlugin for bundle
>> org.eclipse.hyades.statistical.ui is invalid
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:151)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:965)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:321)
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:266)
>> at
>> org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLoca lClass(EclipseClassLoader.java:116)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleLoader.findLo calClass(BundleLoader.java:337)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:389)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleLoader.findCl ass(BundleLoader.java:350)
>> at
>> org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader. loadClass(AbstractClassLoader.java:78)
>> at java.lang.ClassLoader.loadClass(Unknown Source)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleLoader.loadCl ass(BundleLoader.java:275)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleHost.loadClas s(BundleHost.java:227)
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.load Class(AbstractBundle.java:1259)
>> at
>> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:152)
>> at
>> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:142)
>> at
>> org.eclipse.core.internal.registry.ConfigurationElement.crea teExecutableExtension(ConfigurationElement.java:129)
>> at
>> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 48)
>> at
>> org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugi n.java:240)
>> at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator .java:51)
>> at
>> org.eclipse.ui.internal.WorkbenchPlugin.createExtension(Work benchPlugin.java:236)
>> at
>> org.eclipse.ui.internal.EarlyStartupRunnable.getExecutableEx tension(EarlyStartupRunnable.java:115)
>> at
>> org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartu pRunnable.java:66)
>> at
>> org.eclipse.core.internal.runtime.InternalPlatform.run(Inter nalPlatform.java:1044)
>> at org.eclipse.core.runtime.Platform.run(Platform.java:783)
>> at org.eclipse.ui.internal.Workbench$20.run(Workbench.java:1587 )
>> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:76)
>> Caused by: java.lang.NoSuchMethodError:
>> org.eclipse.hyades.models.hierarchy.extensions.impl.Extensio nsPackageImpl.freeze()V
>> at
>> org.eclipse.hyades.models.hierarchy.extensions.impl.Extensio nsPackageImpl.init(ExtensionsPackageImpl.java:271)
>> at
>> org.eclipse.hyades.models.hierarchy.extensions.ExtensionsPac kage. <clinit>(ExtensionsPackage.java:74)
>> at
>> org.eclipse.hyades.models.hierarchy.impl.HierarchyPackageImp l.init(HierarchyPackageImpl.java:298)
>> at
>> org.eclipse.hyades.models.hierarchy.HierarchyPackage.<clinit >(HierarchyPackage.java:75)
>> at sun.misc.Unsafe.ensureClassInitialized(Native Method)
>> at sun.reflect.UnsafeFieldAccessorFactory.newFieldAccessor(Unkn own
>> Source)
>> at sun.reflect.ReflectionFactory.newFieldAccessor(Unknown Source)
>> at java.lang.reflect.Field.acquireFieldAccessor(Unknown Source)
>> at java.lang.reflect.Field.getFieldAccessor(Unknown Source)
>> at java.lang.reflect.Field.get(Unknown Source)
>> at
>> org.eclipse.emf.ecore.plugin.RegistryReader$EPackageDescript or.getEPackage(RegistryReader.java:167)
>> at
>> org.eclipse.emf.ecore.impl.EPackageRegistryImpl.getEPackage( EPackageRegistryImpl.java:91)
>> at
>> org.eclipse.hyades.models.hierarchy.impl.HierarchyPackageImp l.init(HierarchyPackageImpl.java:290)
>> at
>> org.eclipse.hyades.model.statistical.impl.StatisticalPackage Impl.init(StatisticalPackageImpl.java:222)
>> at org.eclipse.hyades.statistical.ui.UiPlugin.<init>(UiPlugin.java:97)
>> at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Nativ e Method)
>> at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknow n Source)
>> at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Un known
>> Source)
>> at java.lang.reflect.Constructor.newInstance(Unknown Source)
>> at java.lang.Class.newInstance0(Unknown Source)
>> at java.lang.Class.newInstance(Unknown Source)
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:146)
>> ... 25 more
>>
>>
>> I cannot find any reference to why this would be occuring... Can anyone
>> confirm that this is a known bug?
>>
>> Thanks.
>>
>> Troy Poppe
>>
>> "Troy Poppe" <troy.poppe@eia.doe.gov> wrote in message
>> news:dbgrva$b7s$1@news.eclipse.org...
>>> I've just gone through the installation process as documented in the 4.0
>>> release, version 200507141319, and I'm having difficulties with what
>>> would seem to be a very simple use case of profiling an existing
>>> application launch via Eclipse. The application to be profiled is
>>> local, and this doesn't seem to matter since the errors seem to be
>>> problems with UI elements and associated resources not being found.
>>>
>>> I start my profiled application, and when I terminate the application I
>>> get an error indicating that there are errors in the log. I've attached
>>> the log output from the start of eclipse, through the error.
>>>
>>> Any help would be greatly appreciated!
>>>
>>> Troy Poppe
>>>
>>>
>>
>>
>
>
Previous Topic:Cannot get TPTP 4.0 to run at all - JVM crash
Next Topic:How can I export UML2 and execution flow figures?
Goto Forum:
  


Current Time: Sun Dec 21 21:04:21 GMT 2014

Powered by FUDForum. Page generated in 0.02388 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software